from math import*

# définition de la fonction distance
def d(x):
    y=sqrt(3.71**2+x**2)+sqrt((2.34-x)**2+1.29**2)
    return y

# calcul du minimum de la fonction d
def co(pas):
    min=d(1)
    x=xmin=1
    while (x+pas)<2.34:
        if d(x+pas)<min:
            min=d(x+pas)
            xmin=x+pas
        x+=pas
    reponse='La distance minimale est de : ' + str(min) + 'km atteint pour x=' + str(xmin)
    return reponse
    

    
